#include <bits/stdc++.h>
#define en '\n'
#define fi first
#define se second
#define pii pair<int,int>

using namespace std;

int main()
{
    string t,z; cin >> t >> z;
    bool ka = true,k=true;
    for(char c : z)
    {
        if(c!='a') ka=false;
        if(c!='b' && c!='a') k=0;
    }
    if(ka)
    {
        int d = z.length();
        int cnt = 0;
        for(char c : t) if(c=='a') cnt++;
        for(int i = 0; i < t.length() && d <= cnt; i++)
        {
            if(t[i] == 'a')
            {
                cnt--;
                t[i]='*';
            }
        }
        cout << t << en;
        return 0;
    }

}